 /*
 * SienaGaugeMgr.java
 *
 * Created on November 6, 2001, 5:28 PM
 * $Header: D:/Projects/Repository/GaugeAPI/edu/cmu/cs/able/gaugeInfrastructure/Siena/SienaGaugeMgr.java,v 1.3 2002/06/21 13:31:20 schmerl Exp $
 * $Log: SienaGaugeMgr.java,v $
 * Revision 1.3  2002/06/21 13:31:20  schmerl
 * Made class abstract
 *
 * Revision 1.2  2002/01/31 16:39:06  schmerl
 * Added CVS header information
 *
 */

package edu.cmu.cs.able.gaugeInfrastructure.Siena;
import java.util.*;
import edu.cmu.cs.able.gaugeInfrastructure.*;
import edu.cmu.cs.able.gaugeInfrastructure.util.*;

/**
 *
 * @author  schmerl
 * @version 
 */
public abstract class SienaGaugeMgr implements edu.cmu.cs.able.gaugeInfrastructure.GaugeMgr {

    Vector managesTypes;
    protected Hashtable gauges; // (key = GaugeID, date = Process)
    String gaugeMgrID;
    
     
    
    /** Creates new SienaGaugeMgr */
    public SienaGaugeMgr() {
        managesTypes = new Vector ();
        gauges = new Hashtable ();
        gaugeMgrID = edu.cmu.cs.able.gaugeInfrastructure.util.Global.generateUniqueID ();
    }

    public String getGaugeMgrID () {
        return gaugeMgrID;
    }
    
    public abstract GaugeControl createGauge(GaugeID gauge, StringPairVector setupParams, StringPairVector mappings);

    public abstract boolean deleteGauge(GaugeControl gauge);
    
    public abstract boolean managesType(String gaugeType);
    
    public abstract boolean queryMetaInfo(String gaugeType, StringPairVector configParamsMeta, StringPairVector valuesMeta) ;
    
}
