/*
 * ConfigureGaugeEvent.java
 *
 * Created on November 5, 2001, 10:05 AM
 * $Header: D:/Projects/Repository/GaugeAPI/edu/cmu/cs/able/gaugeInfrastructure/Siena/Events/ConfigureGaugeEvent.java,v 1.2 2002/01/31 16:39:07 schmerl Exp $
 * $Log: ConfigureGaugeEvent.java,v $
 * Revision 1.2  2002/01/31 16:39:07  schmerl
 * Added CVS header information
 *
 */

package edu.cmu.cs.able.gaugeInfrastructure.Siena.Events;
import edu.cmu.cs.able.gaugeInfrastructure.util.*;
import edu.cmu.cs.able.gaugeInfrastructure.Siena.*;
import siena.*;
/**
 *
 * @author  schmerl
 * @version 
 */
public class ConfigureGaugeEvent extends edu.cmu.cs.able.gaugeInfrastructure.Events.GaugeEvent {

    public StringPairVector configParams;
    public String consumerID;
    /** Creates new ConfigureGaugeEvent */
    public ConfigureGaugeEvent(GaugeID gauge) {
        xferGaugeID (gauge);
    }

    public java.lang.String toString() {
        return "CONFIGURE";
    }
    
    public Notification packRequest () {
        Notification n = new Notification ();
        n.putAttribute (SienaEventBus.EVENTTYPE, SienaEventBus.CONFIGURE);
        SienaEventBus.addGaugeInfo (this, n);
        SienaEventBus.SPV2Notification (configParams, n, SienaEventBus.CONFIG);
        return n;
    }
    
    public static ConfigureGaugeEvent unpackRequest (Notification n) {
        GaugeID gaugeID = new GaugeID ();
        SienaEventBus.extractGaugeID (gaugeID, n);
        ConfigureGaugeEvent event = new ConfigureGaugeEvent (gaugeID);
        event.configParams = new StringPairVector ();
        SienaEventBus.Notification2SPV (n, event.configParams, SienaEventBus.CONFIG);
        return event;
    }
    
    public void unpackReply (Notification n) {
        status = n.getAttribute (SienaEventBus.STATUS).stringValue ().equals ("Ok");
        SienaEventBus.extractGaugeID (this,n);
    }
    
    public Notification packReply () {
        Notification n = new Notification ();
        n.putAttribute (SienaEventBus.EVENTTYPE, SienaEventBus.CONFIGURE);
        SienaEventBus.addGaugeInfo (this, n);
        n.putAttribute (SienaEventBus.STATUS, status?"Ok":"Err");
        return n;
    }
}
