/*
 * CreationFinishedEvent.java
 *
 * Created on November 13, 2001, 2:00 PM
 * $Header: D:/Projects/Repository/GaugeAPI/edu/cmu/cs/able/gaugeInfrastructure/Siena/Events/CreationFinishedEvent.java,v 1.2 2002/01/31 16:39:08 schmerl Exp $
 * $Log: CreationFinishedEvent.java,v $
 * Revision 1.2  2002/01/31 16:39:08  schmerl
 * Added CVS header information
 *
 */

package edu.cmu.cs.able.gaugeInfrastructure.Siena.Events;
import edu.cmu.cs.able.gaugeInfrastructure.Events.GaugeEvent;
import edu.cmu.cs.able.gaugeInfrastructure.util.*;
import edu.cmu.cs.able.gaugeInfrastructure.Siena.SienaEventBus;
import siena.*;
/**
 *
 * @author  schmerl
 * @version 
 */
public class CreationFinishedEvent extends GaugeEvent {

    public String gaugeMgrID;
    
    /** Creates new CreationFinishedEvent */
    public CreationFinishedEvent(GaugeID gauge) {
        xferGaugeID (gauge);
    }

    public Notification packRequest () {
        Notification n = new Notification ();
        n.putAttribute (SienaEventBus.EVENTTYPE, SienaEventBus.FINISHEDCREATION);
        SienaEventBus.addGaugeInfo (this, n);
        n.putAttribute (SienaEventBus.STATUS, status?"Ok":"Failed");
        n.putAttribute (SienaEventBus.GAUGEMGRID, gaugeMgrID);
        return n;
    }
    
    public static CreationFinishedEvent unpackRequest (Notification n) {
        GaugeID gaugeID = new GaugeID ();
        SienaEventBus.extractGaugeID (gaugeID, n);
        CreationFinishedEvent event = new CreationFinishedEvent (gaugeID);
        event.gaugeMgrID = n.getAttribute (SienaEventBus.GAUGEMGRID).stringValue ();
        event.status = n.getAttribute (SienaEventBus.STATUS).stringValue ().equals ("Ok");
        return event;
    }
   
}
