/*
 * FindGaugeMgrEvent.java
 *
 * Created on November 5, 2001, 1:33 PM
 * $Header: D:/Projects/Repository/GaugeAPI/edu/cmu/cs/able/gaugeInfrastructure/Siena/Events/FindGaugeMgrEvent.java,v 1.2 2002/01/31 16:39:08 schmerl Exp $
 * $Log: FindGaugeMgrEvent.java,v $
 * Revision 1.2  2002/01/31 16:39:08  schmerl
 * Added CVS header information
 *
 */

package edu.cmu.cs.able.gaugeInfrastructure.Siena.Events;
import edu.cmu.cs.able.gaugeInfrastructure.util.*;
import edu.cmu.cs.able.gaugeInfrastructure.Events.*;
import edu.cmu.cs.able.gaugeInfrastructure.Siena.SienaEventBus;
import siena.*;
import java.util.Date;
/**
 *
 * @author  schmerl
 * @version 
 */
public class FindGaugeMgrEvent extends GaugeEvent {

    public String gaugeMgrID;
    public String findID;
    
    /** Creates new FindGaugeMgrEvent */
    public FindGaugeMgrEvent(String gaugeType) {
        this.gaugeType = gaugeType;
        Date d = new Date ();
        findID = d.toString ();
    }
    public Notification packRequest () {
        Notification n = new Notification ();
        n.putAttribute (SienaEventBus.EVENTTYPE, SienaEventBus.FINDGMGR);
        n.putAttribute (SienaEventBus.GAUGETYPE, gaugeType);
        n.putAttribute (SienaEventBus.EVENTID, findID);
        return n;
    }
    
    public static FindGaugeMgrEvent unpackRequest (Notification n) {
        String gaugeType = n.getAttribute (SienaEventBus.GAUGETYPE).stringValue ();
        FindGaugeMgrEvent event = new FindGaugeMgrEvent (gaugeType);
        event.findID = n.getAttribute (SienaEventBus.EVENTID).stringValue ();
        return event;
    }
    
    public void unpackReply (Notification n) {
        status = n.getAttribute (SienaEventBus.STATUS).stringValue ().equals ("Ok");
        if (status) {
            gaugeMgrID = n.getAttribute (SienaEventBus.GAUGEMGRID).stringValue ();
            findID = n.getAttribute (SienaEventBus.EVENTID).stringValue ();
        }       
    }
    
    public Notification packReply () {
        Notification n = new Notification ();
        n.putAttribute (SienaEventBus.EVENTTYPE, SienaEventBus.FINDGMGR);
        n.putAttribute (SienaEventBus.GAUGETYPE, gaugeType);
        n.putAttribute (SienaEventBus.EVENTID, findID);
        n.putAttribute (SienaEventBus.STATUS, status?"Ok":"Err");
        n.putAttribute (SienaEventBus.GAUGEMGRID, gaugeMgrID);
        return n;
    }
}
